var oracle = require("./db-oracle");

oracle.Query.prototype.debug = function(rows, cols) {
    console.log("COLUMNS:", cols);
    console.log("ROWS: ", rows);
};

new oracle.Database({
    hostname: '192.168.1.150',
    user: 'HR',
    password: 'oracle',
    database: 'orcl'
}).connect(function(error, server) {
    if (error) {
        return console.log('ERROR while connecting: ' + error);
    }
    console.log('Connected to:');
    console.log(server);
    console.log('Connection alive: ' + this.isConnected());

    this.query().select('*').from('EMPLOYEES').execute(function(err, rows, columns) {
        if (err) {
            return console.log('QUERY error: ' + error);
        }
        console.log(rows.length + ' ROWS');

        this.debug(rows, columns);

        /*
        var pause = 20;
        console.log('Pausing for ' + pause + ' seconds');
        setTimeout(function() {
            console.log('Connection alive: ' + db.isConnected());
        }, pause * 1000);
        */
    }, { start: function(q) { console.log(q); }});
});
